<?php

include_once 'resources/classes/icl_utility.php';
include_once 'resources/classes/walkermenu.php';


$iclUtility = new IclUtility();
add_theme_support( 'post-thumbnails' );
add_theme_support( 'automatic-feed-links' );

register_nav_menus( array(

	'header' => __( 'Header Menu', 'appcloud' ),

	'footer' => __( 'Footer Menu', 'appcloud' ),

	) 

);

register_sidebar(array(

  'name' => 'Left Sidebar',

  'description' => 'Widgets will shown in the sidebar to the left side.',

  'before_widget' => '<div class="sidebar-wrap">',

  'after_widget' => '</div>',

  'before_title' => '<h3 class="widget-title">',

  'after_title' => '</h3>'

));

function date_posted_on($patternDate='d-M') {
	global $post;

	return get_the_date($patternDate);
}



function cutText($content = false,$excerpt_length=4) {
	$mycontent = strip_shortcodes($content);
	$mycontent = str_replace(']]>', ']]&gt;', $mycontent);
	$mycontent = strip_tags($mycontent);
	$words = explode(' ', $mycontent, $excerpt_length + 1);
	if(count($words) > $excerpt_length) :
			array_pop($words);
			$mycontent = implode(' ', $words);
	endif;

	return $mycontent;
}



function myExcerpts($content = false,$excerpt_length=200) {
	global $post;
	$mycontent = $post->post_excerpt;
	$mycontent = $post->post_content;
	$mycontent = strip_shortcodes($mycontent);
	$mycontent = str_replace(']]>', ']]&gt;', $mycontent);
	$mycontent = strip_tags($mycontent);
	$words = explode(' ', $mycontent, $excerpt_length + 1);

	if(count($words) > $excerpt_length) :
            array_pop($words);
            array_push($words, '...');
            $mycontent = implode(' ', $words);
	endif;

	$mycontent = '<p>' . $mycontent . '</p>';

	return $mycontent;
}


    /**
     * adding a dashboard widget into dashboard page.
     *
     * @global <type> $wp_dashboard_control_callbacks
     * @param <type> $widget_id
     * @param <type> $widget_name
     * @param <type> $callback
     *
     * @author Onnay Okheng
     */
    function addDashboardTokokoo() {
        wp_add_dashboard_widget( 'tokokoo-widget', 'Tokokoo News', 'dashboardTokokoo' );
    }

    function dashboardTokokoo() {
         $rss_url = 'http://feeds.feedburner.com/tokokoo';

        $rss = @fetch_feed($rss_url);

        if (is_wp_error($rss)) {
            if (is_admin() || current_user_can('manage_options')) {
                printf(__('<strong>RSS Error</strong>: %s'), $rss->get_error_message());
            }
        } elseif (!$rss->get_item_quantity()) {
            return FALSE;
        } else {
            wp_widget_rss_output($rss, array('items' => 5, 'show_summary' => TRUE, 'show_date' => TRUE));
        }

        $printout_html = <<< HTML
        <div class="stream">
                    <div class="logo-small">Tokokoo</div>
                    <ul>
                        <li><a id="icl-publishing-rss" href="$rss_url" target="_blank" >RSS</a></li>
                        <li><a id="icl-publishing-twit" href="http://twitter.com/tokokoo" target="_blank" >Twitter</a></li>
                        <li><a id="icl-publishing-email" href="http://tokokoo.com/support" target="_blank" >Support</a></li>
                    </ul>
        </div>
HTML;

        echo $printout_html;
    }


    // Adding style on admin page
    function tokokoo_themes_admin_head() {
        echo '<link rel="stylesheet" type="text/css" href="'.get_bloginfo('template_directory').'/tokokoo_admin.css" media="screen" />';
    }

    add_action('wp_dashboard_setup' , 'addDashboardTokokoo');
    add_action('admin_head'         , 'tokokoo_themes_admin_head');
    
    add_action('admin_menu','themes_administration');
    
    function themes_administration(){
        
         // Check all the Options, then if the no options are created for a ralitive sub-page... it's not created.
        if(function_exists('add_object_page')){
            add_object_page ('Page Title', get_option('current_theme'), 8,'tokokoo', 'tokokoo_themes_page', get_bloginfo('template_url').'/img/icon.png');
        } else {
            add_menu_page ('Page Title', get_option('current_theme'), 8,'tokokoo_themes_home', 'tokokoo_themes_page', get_bloginfo('template_url').'/img/icon.png');
        }

        add_submenu_page('tokokoo', get_option('current_theme'), 'Theme Options',    8, 'tokokoo',   'tokokoo_themes_page');     // Theme Options
        add_submenu_page('tokokoo', get_option('current_theme'), 'Theme Changelog',  8, 'changelog', 'tokokoo_changelog');       // Theme Changelog
        add_submenu_page('tokokoo', get_option('current_theme'), 'Buy Themes',       8, 'buy-themes','tokokoo_buy_theme');       // Theme Buy Themes

    }
    
    // Display the premium theme panel image
    function tokokoo_themes_page(){
    ?>

        <div class="wrap" id="tk_options">
            <img src="<?php echo get_bloginfo('template_url');?>/img/Theme Panel Tokokoo.jpg" alt="tokokoo appcloud free theme"/>
        </div>

    <?php
    }
    
    // Display the changelog of theme
    function tokokoo_changelog(){
    ?>

        <div class="wrap" id="tk_options">
            <h2><?php _e( 'Changelog', 'tokokoo'); ?> - <?php echo get_option('current_theme'); ?></h2>
            <pre>
            <?php
                $log_file   = file(get_bloginfo('template_url').'/changelog.txt');
                $log        = implode($log_file);
                echo $log;
            ?>
            </pre>
        </div>

    <?php
    }
    
    // Display other themes of tokokoo.
    function tokokoo_buy_theme(){
    ?>

        <div class="wrap" id="tk_options">
            <h2><?php _e('Buy Another Themes', 'tokokoo'); ?></h2>

            <iframe frameborder="0" style="width:100%; height: 4300px; overflow: hidden;" src="http://tokokoo.com/tokokoo-themes">
             [Your user agent does not support frames or is currently configured not to display frames. However, you may visit the related document.]
            </iframe>

        </div>

    <?php
    }


// remove default jQuery from Plugin
add_action('init', 'tk_load_js');
function tk_load_js(){
    if(!is_admin()){
        wp_deregister_script('jquery');

        wp_register_script('jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js');
        wp_enqueue_script('jquery');
    }
}

?>